Package com.ocient.jdbc.proto

# Class ClientWireProtocol.CompletedQueriesRow.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.CompletedQueriesRow.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.CompletedQueriesRowOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.CompletedQueriesRow

    public static final class ClientWireProtocol.CompletedQueriesRow.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>
    implements ClientWireProtocol.CompletedQueriesRowOrBuilder

Protobuf type `xg.cmdcomp.CompletedQueriesRow`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.CompletedQueriesRow.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.CompletedQueriesRow` | `build()` |
`ClientWireProtocol.CompletedQueriesRow` | `buildPartial()` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clear()` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearBytesReturned()` | the number of bytes returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearClientIp()` | the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearClientVersion()` | the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearCode()` | the SQL state code
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearCostEstimate()` | the plan cost estimate
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearDatabaseId()` | the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearHeuristicCost()` | the plan heuristic cost
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearPlanParallelism()` | the plan parallelism
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearPlanPriority()` | the priority assigned to this plan
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearPsoThreshold()` | the pso threshold used during plan optimization
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearReason()` | the reason
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearRowsReturned()` | the number of rows returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearRuntime()` | the number of seconds take to complete the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearSql()` | the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearState()` | the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTempDiskSpaceConsumed()` | the total amount of temp disk space consumed in bytes
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimeComplete()` | the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimeExecStart()` | the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimestampComplete()` | ms since epoch representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimestampExecStart()` | ms since epoch representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimestampStart()` | ms since epoch representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearTimeStart()` | the string representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearUser()` | the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clearUuid()` | the query plan uuid
`ClientWireProtocol.CompletedQueriesRow.Builder` | `clone()` |
`long` | `getBytesReturned()` | the number of bytes returned by the query
`String` | `getClientIp()` | the IP of the client
`com.google.protobuf.ByteString` | `getClientIpBytes()` | the IP of the client
`String` | `getClientVersion()` | the version of the connector used to submit the query
`com.google.protobuf.ByteString` | `getClientVersionBytes()` | the version of the connector used to submit the query
`int` | `getCode()` | the SQL state code
`double` | `getCostEstimate()` | the plan cost estimate
`com.google.protobuf.StringValue` | `getDatabaseId()` | the string representation of the database uuid the user was connected to
`com.google.protobuf.StringValue.Builder` | `getDatabaseIdBuilder()` | the string representation of the database uuid the user was connected to
`com.google.protobuf.StringValueOrBuilder` | `getDatabaseIdOrBuilder()` | the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`double` | `getHeuristicCost()` | the plan heuristic cost
`int` | `getPlanParallelism()` | the plan parallelism
`double` | `getPlanPriority()` | the priority assigned to this plan
`long` | `getPsoThreshold()` | the pso threshold used during plan optimization
`String` | `getReason()` | the reason
`com.google.protobuf.ByteString` | `getReasonBytes()` | the reason
`long` | `getRowsReturned()` | the number of rows returned by the query
`long` | `getRuntime()` | the number of seconds take to complete the query
`String` | `getSql()` | the sql text
`com.google.protobuf.ByteString` | `getSqlBytes()` | the sql text
`String` | `getState()` | the string representation of the SQL state
`com.google.protobuf.ByteString` | `getStateBytes()` | the string representation of the SQL state
`long` | `getTempDiskSpaceConsumed()` | the total amount of temp disk space consumed in bytes
`String` | `getTimeComplete()` | the string representation of the time the query completed execution
`com.google.protobuf.ByteString` | `getTimeCompleteBytes()` | the string representation of the time the query completed execution
`String` | `getTimeExecStart()` | the string representation of the time the query began execution
`com.google.protobuf.ByteString` | `getTimeExecStartBytes()` | the string representation of the time the query began execution
`long` | `getTimestampComplete()` | ms since epoch representation of the time the query completed execution
`long` | `getTimestampExecStart()` | ms since epoch representation of the time the query began execution
`long` | `getTimestampStart()` | ms since epoch representation of the time the query was accepted by the sql node
`String` | `getTimeStart()` | the string representation of the time the query was accepted by the sql node
`com.google.protobuf.ByteString` | `getTimeStartBytes()` | the string representation of the time the query was accepted by the sql node
`String` | `getUser()` | the string representation of the user's uuid
`com.google.protobuf.ByteString` | `getUserBytes()` | the string representation of the user's uuid
`String` | `getUuid()` | the query plan uuid
`com.google.protobuf.ByteString` | `getUuidBytes()` | the query plan uuid
`boolean` | `hasDatabaseId()` | the string representation of the database uuid the user was connected to
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `mergeDatabaseId​(com.google.protobuf.StringValue value)` | the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `mergeFrom​(ClientWireProtocol.CompletedQueriesRow other)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setBytesReturned​(long value)` | the number of bytes returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setClientIp​(String value)` | the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setClientIpBytes​(com.google.protobuf.ByteString value)` | the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setClientVersion​(String value)` | the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setClientVersionBytes​(com.google.protobuf.ByteString value)` | the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setCode​(int value)` | the SQL state code
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setCostEstimate​(double value)` | the plan cost estimate
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setDatabaseId​(com.google.protobuf.StringValue value)` | the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setDatabaseId​(com.google.protobuf.StringValue.Builder builderForValue)` | the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setHeuristicCost​(double value)` | the plan heuristic cost
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setPlanParallelism​(int value)` | the plan parallelism
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setPlanPriority​(double value)` | the priority assigned to this plan
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setPsoThreshold​(long value)` | the pso threshold used during plan optimization
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setReason​(String value)` | the reason
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setReasonBytes​(com.google.protobuf.ByteString value)` | the reason
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setRowsReturned​(long value)` | the number of rows returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setRuntime​(long value)` | the number of seconds take to complete the query
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setSql​(String value)` | the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setSqlBytes​(com.google.protobuf.ByteString value)` | the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setState​(String value)` | the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setStateBytes​(com.google.protobuf.ByteString value)` | the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTempDiskSpaceConsumed​(long value)` | the total amount of temp disk space consumed in bytes
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeComplete​(String value)` | the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeCompleteBytes​(com.google.protobuf.ByteString value)` | the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeExecStart​(String value)` | the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeExecStartBytes​(com.google.protobuf.ByteString value)` | the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimestampComplete​(long value)` | ms since epoch representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimestampExecStart​(long value)` | ms since epoch representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimestampStart​(long value)` | ms since epoch representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeStart​(String value)` | the string representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setTimeStartBytes​(com.google.protobuf.ByteString value)` | the string representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setUser​(String value)` | the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setUserBytes​(com.google.protobuf.ByteString value)` | the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setUuid​(String value)` | the query plan uuid
`ClientWireProtocol.CompletedQueriesRow.Builder` | `setUuidBytes​(com.google.protobuf.ByteString value)` | the query plan uuid

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### clear

public ClientWireProtocol.CompletedQueriesRow.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.CompletedQueriesRow getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.CompletedQueriesRow build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.CompletedQueriesRow buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.CompletedQueriesRow.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### setField

public ClientWireProtocol.CompletedQueriesRow.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### clearField

public ClientWireProtocol.CompletedQueriesRow.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### clearOneof

public ClientWireProtocol.CompletedQueriesRow.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### setRepeatedField

public ClientWireProtocol.CompletedQueriesRow.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### addRepeatedField

public ClientWireProtocol.CompletedQueriesRow.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom​(ClientWireProtocol.CompletedQueriesRow other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`
Throws:
  `IOException`

### getUser

public String getUser()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUser` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The user.

### getUserBytes

public com.google.protobuf.ByteString getUserBytes()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUserBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for user.

### setUser

public ClientWireProtocol.CompletedQueriesRow.Builder setUser​(String value)

     the string representation of the user's uuid

`string user = 1;`

Parameters:
  `value` - The user to set.
Returns:
  This builder for chaining.

### clearUser

public ClientWireProtocol.CompletedQueriesRow.Builder clearUser()

     the string representation of the user's uuid

`string user = 1;`

Returns:
  This builder for chaining.

### setUserBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setUserBytes​(com.google.protobuf.ByteString value)

     the string representation of the user's uuid

`string user = 1;`

Parameters:
  `value` - The bytes for user to set.
Returns:
  This builder for chaining.

### hasDatabaseId

public boolean hasDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `hasDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  Whether the databaseId field is set.

### getDatabaseId

public com.google.protobuf.StringValue getDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The databaseId.

### setDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder setDatabaseId​(com.google.protobuf.StringValue value)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### setDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder setDatabaseId​(com.google.protobuf.StringValue.Builder builderForValue)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### mergeDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder mergeDatabaseId​(com.google.protobuf.StringValue value)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### clearDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder clearDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### getDatabaseIdBuilder

public com.google.protobuf.StringValue.Builder getDatabaseIdBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### getDatabaseIdOrBuilder

public com.google.protobuf.StringValueOrBuilder getDatabaseIdOrBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseIdOrBuilder` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`

### getClientVersion

public String getClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersion` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientVersion.

### getClientVersionBytes

public com.google.protobuf.ByteString getClientVersionBytes()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersionBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientVersion.

### setClientVersion

public ClientWireProtocol.CompletedQueriesRow.Builder setClientVersion​(String value)

     the version of the connector used to submit the query

`string client_version = 3;`

Parameters:
  `value` - The clientVersion to set.
Returns:
  This builder for chaining.

### clearClientVersion

public ClientWireProtocol.CompletedQueriesRow.Builder clearClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Returns:
  This builder for chaining.

### setClientVersionBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setClientVersionBytes​(com.google.protobuf.ByteString value)

     the version of the connector used to submit the query

`string client_version = 3;`

Parameters:
  `value` - The bytes for clientVersion to set.
Returns:
  This builder for chaining.

### getClientIp

public String getClientIp()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIp` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientIp.

### getClientIpBytes

public com.google.protobuf.ByteString getClientIpBytes()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIpBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientIp.

### setClientIp

public ClientWireProtocol.CompletedQueriesRow.Builder setClientIp​(String value)

     the IP of the client

`string client_ip = 4;`

Parameters:
  `value` - The clientIp to set.
Returns:
  This builder for chaining.

### clearClientIp

public ClientWireProtocol.CompletedQueriesRow.Builder clearClientIp()

     the IP of the client

`string client_ip = 4;`

Returns:
  This builder for chaining.

### setClientIpBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setClientIpBytes​(com.google.protobuf.ByteString value)

     the IP of the client

`string client_ip = 4;`

Parameters:
  `value` - The bytes for clientIp to set.
Returns:
  This builder for chaining.

### getSql

public String getSql()

     the sql text

`string sql = 5;`

Specified by:
  `getSql` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The sql.

### getSqlBytes

public com.google.protobuf.ByteString getSqlBytes()

     the sql text

`string sql = 5;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for sql.

### setSql

public ClientWireProtocol.CompletedQueriesRow.Builder setSql​(String value)

     the sql text

`string sql = 5;`

Parameters:
  `value` - The sql to set.
Returns:
  This builder for chaining.

### clearSql

public ClientWireProtocol.CompletedQueriesRow.Builder clearSql()

     the sql text

`string sql = 5;`

Returns:
  This builder for chaining.

### setSqlBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setSqlBytes​(com.google.protobuf.ByteString value)

     the sql text

`string sql = 5;`

Parameters:
  `value` - The bytes for sql to set.
Returns:
  This builder for chaining.

### getTimestampStart

public long getTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Specified by:
  `getTimestampStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampStart.

### setTimestampStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampStart​(long value)

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Parameters:
  `value` - The timestampStart to set.
Returns:
  This builder for chaining.

### clearTimestampStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Returns:
  This builder for chaining.

### getTimeStart

public String getTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeStart.

### getTimeStartBytes

public com.google.protobuf.ByteString getTimeStartBytes()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeStart.

### setTimeStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeStart​(String value)

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Parameters:
  `value` - The timeStart to set.
Returns:
  This builder for chaining.

### clearTimeStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Returns:
  This builder for chaining.

### setTimeStartBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeStartBytes​(com.google.protobuf.ByteString value)

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Parameters:
  `value` - The bytes for timeStart to set.
Returns:
  This builder for chaining.

### getTimestampComplete

public long getTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Specified by:
  `getTimestampComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampComplete.

### setTimestampComplete

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampComplete​(long value)

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Parameters:
  `value` - The timestampComplete to set.
Returns:
  This builder for chaining.

### clearTimestampComplete

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Returns:
  This builder for chaining.

### getTimeComplete

public String getTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeComplete.

### getTimeCompleteBytes

public com.google.protobuf.ByteString getTimeCompleteBytes()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeCompleteBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeComplete.

### setTimeComplete

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeComplete​(String value)

     the string representation of the time the query completed execution

`string time_complete = 9;`

Parameters:
  `value` - The timeComplete to set.
Returns:
  This builder for chaining.

### clearTimeComplete

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Returns:
  This builder for chaining.

### setTimeCompleteBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeCompleteBytes​(com.google.protobuf.ByteString value)

     the string representation of the time the query completed execution

`string time_complete = 9;`

Parameters:
  `value` - The bytes for timeComplete to set.
Returns:
  This builder for chaining.

### getCode

public int getCode()

     the SQL state code

`int32 code = 10;`

Specified by:
  `getCode` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The code.

### setCode

public ClientWireProtocol.CompletedQueriesRow.Builder setCode​(int value)

     the SQL state code

`int32 code = 10;`

Parameters:
  `value` - The code to set.
Returns:
  This builder for chaining.

### clearCode

public ClientWireProtocol.CompletedQueriesRow.Builder clearCode()

     the SQL state code

`int32 code = 10;`

Returns:
  This builder for chaining.

### getState

public String getState()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getState` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The state.

### getStateBytes

public com.google.protobuf.ByteString getStateBytes()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getStateBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for state.

### setState

public ClientWireProtocol.CompletedQueriesRow.Builder setState​(String value)

     the string representation of the SQL state

`string state = 11;`

Parameters:
  `value` - The state to set.
Returns:
  This builder for chaining.

### clearState

public ClientWireProtocol.CompletedQueriesRow.Builder clearState()

     the string representation of the SQL state

`string state = 11;`

Returns:
  This builder for chaining.

### setStateBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setStateBytes​(com.google.protobuf.ByteString value)

     the string representation of the SQL state

`string state = 11;`

Parameters:
  `value` - The bytes for state to set.
Returns:
  This builder for chaining.

### getReason

public String getReason()

     the reason

`string reason = 12;`

Specified by:
  `getReason` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The reason.

### getReasonBytes

public com.google.protobuf.ByteString getReasonBytes()

     the reason

`string reason = 12;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for reason.

### setReason

public ClientWireProtocol.CompletedQueriesRow.Builder setReason​(String value)

     the reason

`string reason = 12;`

Parameters:
  `value` - The reason to set.
Returns:
  This builder for chaining.

### clearReason

public ClientWireProtocol.CompletedQueriesRow.Builder clearReason()

     the reason

`string reason = 12;`

Returns:
  This builder for chaining.

### setReasonBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setReasonBytes​(com.google.protobuf.ByteString value)

     the reason

`string reason = 12;`

Parameters:
  `value` - The bytes for reason to set.
Returns:
  This builder for chaining.

### getTimestampExecStart

public long getTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Specified by:
  `getTimestampExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampExecStart.

### setTimestampExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampExecStart​(long value)

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Parameters:
  `value` - The timestampExecStart to set.
Returns:
  This builder for chaining.

### clearTimestampExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Returns:
  This builder for chaining.

### getTimeExecStart

public String getTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeExecStart.

### getTimeExecStartBytes

public com.google.protobuf.ByteString getTimeExecStartBytes()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeExecStart.

### setTimeExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeExecStart​(String value)

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Parameters:
  `value` - The timeExecStart to set.
Returns:
  This builder for chaining.

### clearTimeExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Returns:
  This builder for chaining.

### setTimeExecStartBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeExecStartBytes​(com.google.protobuf.ByteString value)

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Parameters:
  `value` - The bytes for timeExecStart to set.
Returns:
  This builder for chaining.

### getUuid

public String getUuid()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuid` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public com.google.protobuf.ByteString getUuidBytes()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuidBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for uuid.

### setUuid

public ClientWireProtocol.CompletedQueriesRow.Builder setUuid​(String value)

     the query plan uuid

`string uuid = 15;`

Parameters:
  `value` - The uuid to set.
Returns:
  This builder for chaining.

### clearUuid

public ClientWireProtocol.CompletedQueriesRow.Builder clearUuid()

     the query plan uuid

`string uuid = 15;`

Returns:
  This builder for chaining.

### setUuidBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setUuidBytes​(com.google.protobuf.ByteString value)

     the query plan uuid

`string uuid = 15;`

Parameters:
  `value` - The bytes for uuid to set.
Returns:
  This builder for chaining.

### getPlanPriority

public double getPlanPriority()

     the priority assigned to this plan

`double plan_priority = 16;`

Specified by:
  `getPlanPriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The planPriority.

### setPlanPriority

public ClientWireProtocol.CompletedQueriesRow.Builder setPlanPriority​(double value)

     the priority assigned to this plan

`double plan_priority = 16;`

Parameters:
  `value` - The planPriority to set.
Returns:
  This builder for chaining.

### clearPlanPriority

public ClientWireProtocol.CompletedQueriesRow.Builder clearPlanPriority()

     the priority assigned to this plan

`double plan_priority = 16;`

Returns:
  This builder for chaining.

### getCostEstimate

public double getCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Specified by:
  `getCostEstimate` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The costEstimate.

### setCostEstimate

public ClientWireProtocol.CompletedQueriesRow.Builder setCostEstimate​(double value)

     the plan cost estimate

`double cost_estimate = 17;`

Parameters:
  `value` - The costEstimate to set.
Returns:
  This builder for chaining.

### clearCostEstimate

public ClientWireProtocol.CompletedQueriesRow.Builder clearCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Returns:
  This builder for chaining.

### getPlanParallelism

public int getPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Specified by:
  `getPlanParallelism` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The planParallelism.

### setPlanParallelism

public ClientWireProtocol.CompletedQueriesRow.Builder setPlanParallelism​(int value)

     the plan parallelism

`uint32 plan_parallelism = 18;`

Parameters:
  `value` - The planParallelism to set.
Returns:
  This builder for chaining.

### clearPlanParallelism

public ClientWireProtocol.CompletedQueriesRow.Builder clearPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Returns:
  This builder for chaining.

### getHeuristicCost

public double getHeuristicCost()

     the plan heuristic cost

`double heuristic_cost = 19;`

Specified by:
  `getHeuristicCost` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The heuristicCost.

### setHeuristicCost

public ClientWireProtocol.CompletedQueriesRow.Builder setHeuristicCost​(double value)

     the plan heuristic cost

`double heuristic_cost = 19;`

Parameters:
  `value` - The heuristicCost to set.
Returns:
  This builder for chaining.

### clearHeuristicCost

public ClientWireProtocol.CompletedQueriesRow.Builder clearHeuristicCost()

     the plan heuristic cost

`double heuristic_cost = 19;`

Returns:
  This builder for chaining.

### getPsoThreshold

public long getPsoThreshold()

     the pso threshold used during plan optimization

`uint64 pso_threshold = 20;`

Specified by:
  `getPsoThreshold` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The psoThreshold.

### setPsoThreshold

public ClientWireProtocol.CompletedQueriesRow.Builder setPsoThreshold​(long value)

     the pso threshold used during plan optimization

`uint64 pso_threshold = 20;`

Parameters:
  `value` - The psoThreshold to set.
Returns:
  This builder for chaining.

### clearPsoThreshold

public ClientWireProtocol.CompletedQueriesRow.Builder clearPsoThreshold()

     the pso threshold used during plan optimization

`uint64 pso_threshold = 20;`

Returns:
  This builder for chaining.

### getRowsReturned

public long getRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Specified by:
  `getRowsReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The rowsReturned.

### setRowsReturned

public ClientWireProtocol.CompletedQueriesRow.Builder setRowsReturned​(long value)

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Parameters:
  `value` - The rowsReturned to set.
Returns:
  This builder for chaining.

### clearRowsReturned

public ClientWireProtocol.CompletedQueriesRow.Builder clearRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Returns:
  This builder for chaining.

### getBytesReturned

public long getBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Specified by:
  `getBytesReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytesReturned.

### setBytesReturned

public ClientWireProtocol.CompletedQueriesRow.Builder setBytesReturned​(long value)

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Parameters:
  `value` - The bytesReturned to set.
Returns:
  This builder for chaining.

### clearBytesReturned

public ClientWireProtocol.CompletedQueriesRow.Builder clearBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Returns:
  This builder for chaining.

### getRuntime

public long getRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Specified by:
  `getRuntime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The runtime.

### setRuntime

public ClientWireProtocol.CompletedQueriesRow.Builder setRuntime​(long value)

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Parameters:
  `value` - The runtime to set.
Returns:
  This builder for chaining.

### clearRuntime

public ClientWireProtocol.CompletedQueriesRow.Builder clearRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Returns:
  This builder for chaining.

### getTempDiskSpaceConsumed

public long getTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Specified by:
  `getTempDiskSpaceConsumed` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The tempDiskSpaceConsumed.

### setTempDiskSpaceConsumed

public ClientWireProtocol.CompletedQueriesRow.Builder setTempDiskSpaceConsumed​(long value)

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Parameters:
  `value` - The tempDiskSpaceConsumed to set.
Returns:
  This builder for chaining.

### clearTempDiskSpaceConsumed

public ClientWireProtocol.CompletedQueriesRow.Builder clearTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.CompletedQueriesRow.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.CompletedQueriesRow.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`